Still working Rated 5 out of 5 stars

It works with Firefox 3.5.2
How to install incompatible add-ons:
http://www.raymond.cc/blog/archives/2008/10/29/enable-firefox-incompatible-add-ons-and-this-add-on-is-for-older-versions-of-firefox/